[arch-commits] Commit in libksba/repos (3 files)

Tobias Powalowski tpowa at archlinux.org
Wed Feb 8 05:55:32 EST 2012


    Date: Wednesday, February 8, 2012 @ 05:55:32
  Author: tpowa
Revision: 149501

archrelease: copy trunk to extra-x86_64

Added:
  libksba/repos/extra-x86_64/
  libksba/repos/extra-x86_64/PKGBUILD
    (from rev 149500, libksba/trunk/PKGBUILD)
  libksba/repos/extra-x86_64/libksba.install
    (from rev 149500, libksba/trunk/libksba.install)

-----------------+
 PKGBUILD        |   32 ++++++++++++++++++++++++++++++++
 libksba.install |   20 ++++++++++++++++++++
 2 files changed, 52 insertions(+)

Copied: libksba/repos/extra-x86_64/PKGBUILD (from rev 149500, libksba/trunk/PKGBUILD)
===================================================================
--- extra-x86_64/PKGBUILD	                        (rev 0)
+++ extra-x86_64/PKGBUILD	2012-02-08 10:55:32 UTC (rev 149501)
@@ -0,0 +1,32 @@
+# $Id$
+# Maintainer: damir <damir at archlinux.org>
+# Contributor: Damir Perisa <damir.perisa at bluewin.ch>
+
+pkgname=libksba
+pkgver=1.2.0
+pkgrel=2
+pkgdesc="A CMS and X.509 access library"
+arch=(i686 x86_64)
+license=('GPL')
+url="ftp://ftp.gnupg.org/gcrypt/alpha/libksba"
+depends=('bash' 'libgpg-error' 'glibc')
+source=(ftp://ftp.gnupg.org/gcrypt/$pkgname/$pkgname-$pkgver.tar.bz2)
+options=(!libtool)
+install=libksba.install
+
+build() {
+  cd $srcdir/$pkgname-$pkgver
+  ./configure --prefix=/usr
+  make
+}
+
+check() {
+   cd $srcdir/$pkgname-$pkgver
+   make check
+}  
+
+package() {
+  cd $srcdir/$pkgname-$pkgver
+  make DESTDIR=$pkgdir install
+}
+md5sums=('e797f370b69b4dc776499d6a071ae137')

Copied: libksba/repos/extra-x86_64/libksba.install (from rev 149500, libksba/trunk/libksba.install)
===================================================================
--- extra-x86_64/libksba.install	                        (rev 0)
+++ extra-x86_64/libksba.install	2012-02-08 10:55:32 UTC (rev 149501)
@@ -0,0 +1,20 @@
+infodir=usr/share/info
+filelist=(ksba.info)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}



More information about the arch-commits mailing list